Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.ddf
Class EscherBitmapBlip

    java.lang.Object
      org.apache.poi.ddf.EscherRecord
          org.apache.poi.ddf.EscherBlipRecord
              org.apache.poi.ddf.EscherBitmapBlip

    public class EscherBitmapBlip

extends EscherBlipRecord

Author:
  Glen Stampoultzis

Field Summary
`static short` | `RECORD_ID_DIB`
`static short` | `RECORD_ID_JPEG`
`static short` | `RECORD_ID_PNG`

Fields inherited from class org.apache.poi.ddf.EscherBlipRecord
`RECORD_DESCRIPTION, RECORD_ID_END, RECORD_ID_START`

Constructor Summary
`EscherBitmapBlip()`

Method Summary
`int` | `fillFields(byte[] data, int offset, EscherRecordFactory recordFactory)` The contract of this method is to deserialize an escher record including it's children.
`byte` | `getMarker()`
`int` | `getRecordSize()` Subclasses should effeciently return the number of bytes required to serialize the record.
`byte[]` | `getUID()`
`int` | `serialize(int offset, byte[] data, EscherSerializationListener listener)` Serializes the record to an existing byte array.
`void` | `setMarker(byte field_2_marker)`
`void` | `setUID(byte[] field_1_UID)`
`java.lang.String` | `toString()`

Methods inherited from class org.apache.poi.ddf.EscherBlipRecord
`getPicturedata, getRecordName, setPictureData`

Methods inherited from class org.apache.poi.ddf.EscherRecord
`clone, display, getChild, getChildRecords, getInstance, getOptions, getRecordId, getVersion, isContainerRecord, serialize, serialize, setChildRecords, setInstance, setOptions, setRecordId, setVersion`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RECORD_ID_JPEG

    public static final short RECORD_ID_JPEG

See Also:
  Constant Field Values

### RECORD_ID_PNG

    public static final short RECORD_ID_PNG

See Also:
  Constant Field Values

### RECORD_ID_DIB

    public static final short RECORD_ID_DIB

See Also:
  Constant Field Values

Constructor Detail

### EscherBitmapBlip

    public EscherBitmapBlip()

Method Detail

### fillFields

    public int fillFields(byte[] data,
                          int offset,
                          EscherRecordFactory recordFactory)

  Description copied from class: `EscherRecord`
  The contract of this method is to deserialize an escher record including it's children.

  Overrides:
    `fillFields` in class `EscherBlipRecord`
  Parameters:
    `data` - The byte array containing the serialized escher records.
    `offset` - The offset into the byte array.
    `recordFactory` - A factory for creating new escher records.
  Returns:
    The number of bytes written.

### serialize

    public int serialize(int offset,
                         byte[] data,
                         EscherSerializationListener listener)

  Description copied from class: `EscherRecord`
  Serializes the record to an existing byte array.

  Overrides:
    `serialize` in class `EscherBlipRecord`
  Parameters:
    `offset` - the offset within the byte array
    `data` - the data array to serialize to
    `listener` - a listener for begin and end serialization events. This is useful because the serialization is hierarchical/recursive and sometimes you need to be able break into that.
  Returns:
    the number of bytes written.

### getRecordSize

    public int getRecordSize()

  Description copied from class: `EscherRecord`
  Subclasses should effeciently return the number of bytes required to serialize the record.

  Overrides:
    `getRecordSize` in class `EscherBlipRecord`
  Returns:
    number of bytes

### getUID

    public byte[] getUID()

### setUID

    public void setUID(byte[] field_1_UID)

### getMarker

    public byte getMarker()

### setMarker

    public void setMarker(byte field_2_marker)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `EscherBlipRecord`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD